@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;300;400;500;600&display=swap');

:root{
    --green:#27ae60;
   --orange:#f39c12;
   --red:#e74c3c;
   --black:#333;
   --light-color:#666;
   --white:#fff;
   --light-bg:#f6f6f6;
   --border:.2rem solid var(--black);
   --box-shadow:0 .5rem 1rem rgba(0,0,0,.1);
}

*{
    font-family: 'Poppins', sans-serif;
    margin:0; padding:0;
    box-sizing: border-box;
    outline: none; border:none;
    text-decoration: none;
    text-transform: none;
    transition: all .2s linear;
}

html{
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-behavior: smooth;
    scroll-padding-top: 7rem;
}

body{
    background:var(--light-bg);
}

section{
    padding:2rem 9%;
}

.heading{
    text-align: center;
    padding:2rem 0;
    padding-bottom: 3rem;
    font-size: 3.5rem;
    color:var(--black);
}

.heading span{
    background: var(--green);
    color:var(--white);
    display: inline-block;
    padding:.5rem 3rem;
    clip-path: polygon(100% 0, 93% 50%, 100% 99%, 0% 100%, 7% 50%, 0% 0%);
}

.btn{
    margin-top: 1rem;
    display: inline-block;
    padding:.8rem 3rem;
    font-size: 1.7rem;
    border-radius: .5rem;
    border:.2rem solid var(--white);
    color:var(--white);
    cursor: pointer;
    background-color: var(--green);
    text-align: center;
    text-transform: none;
}

.btn:hover{
    background: var(--black);
    color:var(--white);
}

.option-btn{
   background-color: var(--orange);
   margin-top: 1rem;
    display: inline-block;
    padding:.8rem 3rem;
    font-size: 1.7rem;
    border-radius: .5rem;
    border:.2rem solid var(--white);
    color:var(--white);
    cursor: pointer;
    text-align: center;
    text-transform: none;
}
.flex-btn{
    display: flex;
    flex-wrap: wrap;
    gap:1rem;
 }
 
 .flex-btn > *{
    flex:1;
 }
 
 .title{
    text-align: center;
    margin-bottom: 2rem;
    text-transform: none;
    color:var(--black);
    font-size: 3.5rem;
 }
 
 .message{
    position: sticky;
    top:0;
    max-width: 1200px;
    margin:0 auto;
    background-color: var(--light-bg);
    padding:2rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap:1.5rem;
    z-index: 10000;
 }
 
 .message span{
    font-size: 2rem;
    color:var(--black);
 }
 
 .message i{
    font-size: 2.5rem;
    cursor: pointer;
    color:var(--red);
 }
 
 .message i:hover{
    color:var(--black);
 }
 
 .empty{
    padding:1.5rem;
    background: var(--white);
    color:var(--red);
    border-radius: .5rem;
    border:var(--border);
    font-size: 2rem;
    text-align: center;
    box-shadow: var(--box-shadow);
    text-transform: none;
 }
 
 @keyframes fadeIn {
    0%{
       transform: translateY(1rem);
    }
 }

.header{
    position: sticky;
    top:0; left:0; right: 0;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding:2rem;
    background:var(--white);
    box-shadow: var(--box-shadow);
}

.header .logo{
    font-size: 2.5rem;
    font-weight: bolder;
    color:var(--black);
}

.header .logo i{
    color:var(--green);
}

.header .navbar a{
    font-size: 1.7rem;
    margin:0 1rem;
    color:var(--black);
}

.header .navbar a:hover{
    color:var(--green);
}

.header .icons div{
    height: 4.5rem;
    width: 4.5rem;
    line-height: 4.5rem;
    border-radius: .5rem;
    background: var(--light-bg);
    color:var(--black);
    font-size: 2rem;
    margin-left: .3rem;
    cursor: pointer;
    text-align: center;
}

.header .icons div:hover{
    background: var(--green);
    color:var(--white);
}

#menu-btn{
    display: none;
}

.header .search-form{
    position: absolute;
    top:110%; right:-110%;
    width: 50rem;
    height:5rem;
    background: var(--white);
    border-radius: .5rem;
    overflow: hidden;
    display: flex;
    align-items: center;
    box-shadow: var(--box-shadow);
}

.header .search-form.active{
    right:2rem;
    transition: .4s linear;
}

.header .search-form input{
    height:100%;
    width:100%;
    background: none;
    text-transform: none;
    font-size: 1.6rem;
    color:var(--black);
    padding:0 1.5rem;
}

.header .search-form label{
    font-size: 2.2rem;
    padding-right: 1.5rem;
    color:var(--black);
    cursor: pointer;
}

.header .search-form label:hover{
    color:var(--green);
}

/*Wishlist*/

.wishlist .box-container{
   display: grid;
   grid-template-columns: repeat(auto-fit, 35rem);
   gap:1.5rem;
   justify-content: center;
   align-items: flex-start;
}

.wishlist .box-container .box{
   padding:2rem;
   text-align: center;
   border:var(--border);
   background-color: var(--white);
   box-shadow: var(--box-shadow);
   border-radius: .5rem;
   position: relative;
}

.wishlist .box-container .box .price{
   padding:1rem 0;
   color:var(--red);
   font-size: 2.5rem;
}

.wishlist .box-container .box .price span{
   font-size: 2.5rem;
   color:var(--white);
   margin:0 .2rem;
}

.wishlist .box-container .box .fa-eye{
   position: absolute;
   top:1rem; right:1rem;
   border-radius: .5rem;
   height: 4.5rem;
   line-height: 4.3rem;
   width: 5rem;
   border:var(--border);
   color:var(--black);
   font-size: 2rem;
   background-color: var(--white);
}

.wishlist .box-container .box .fa-eye:hover{
   color:var(--white);
   background-color: var(--black);
}

.wishlist .box-container .box .fa-times{
   position: absolute;
   top:1rem; left:1rem;
   border-radius: .5rem;
   height: 4.5rem;
   line-height: 4.3rem;
   width: 5rem;
   color:var(--white);
   font-size: 2rem;
   background-color: var(--red);
}

.wishlist .box-container .box .fa-times:hover{
   background-color: var(--black);
}

.wishlist .box-container .box img{
   width: 100%;
   margin-bottom: 1rem;
}

.wishlist .box-container .box .name{
   font-size: 2rem;
   color:var(--black);
   padding-top: 1rem;
}

.wishlist .box-container .box .qty{
   margin:.5rem 0;
   border-radius: .5rem;
   padding:1.2rem 1.4rem;
   font-size: 1.8rem;
   color:var(--black);
   border:var(--border);
   width: 100%;
}

.wishlist .wishlist-total{
   max-width: 50rem;
   margin: 0 auto;
   margin-top: 2rem;
   padding:2rem;
   text-align: center;
   border:var(--border);
   background-color: var(--white);
   box-shadow: var(--box-shadow);
   border-radius: .5rem;
}

.wishlist .wishlist-total p{
   margin-bottom: 2rem;
   font-size: 2.5rem;
   color:var(--light-color);
}

.wishlist .wishlist-total p span{
   color:var(--red);
}



.header .shopping-cart{
    position: absolute;
    top:110%; right:-110%;
    padding:1rem;
    border-radius: .5rem;
    box-shadow: var(--box-shadow);
    width:35rem;
    background: var(--white);
}

.header .shopping-cart.active{
    right:2rem;
    transition: .4s linear;
}

.header .shopping-cart .box{
    display: flex;
    align-items: center;
    gap:1rem;
    position: relative;
    margin:1rem 0;
}

.header .shopping-cart .box img{
    height:10rem;
}

.header .shopping-cart .box .fa-trash{
    font-size: 2rem;
    position: absolute;
    top:50%; right:2rem;
    cursor: pointer;
    color:var(--light-color);
    transform: translateY(-50%);
}

.header .shopping-cart .box .fa-trash:hover{
    color:var(--green);
}

.header .shopping-cart .box .content h3{
    color:var(--black);
    font-size: 1.7rem;
    padding-bottom: 1rem;
}

.header .shopping-cart .box .content span{
    color:var(--light-color);
    font-size: 1.6rem;
}

.header .shopping-cart .box .content .quantity{
    padding-left: 1rem;
}

.header .shopping-cart .total{
    font-size: 2.5rem;
    padding:1rem 0;
    text-align: center;
    color:var(--black);
}

.header .shopping-cart .btn{
    display: block;
    text-align: center;
    margin:1rem;
}

.header .login-form{
    position: absolute;
    top:110%; right:-110%;
    width:35rem;
    box-shadow: var(--box-shadow);
    padding:2rem;
    border-radius: .5rem;
    background: var(--white);
    text-align: center;
}

.header .login-form.active{
    right:2rem;
    transition: .4s linear;
}

.header .login-form h3{
    font-size: 2.5rem;
    text-transform: uppercase;
    color: var(--black);
}

.header .login-form .box{
    width: 100%;
    margin:.7rem 0;
    background:var(--light-bg);
    border-radius: .5rem;
    padding:1rem;
    font-size: 1.6rem;
    color:var(--black);
    text-transform: none;
}

.header .login-form p{
    font-size: 1.4rem;
    padding:.5rem 0;
    color:var(--light-color);
}

.header .login-form p a{
    color:var(--green);
    text-decoration: underline;
}

/*VILÁGOS MÓD*/

body.active{
    --black:#fff;
    --white:#111;
    --light-bg:#222;
    --light-color:#aaa;
}
 /*VÉGE*/
 
 .home-bg{
    background: url(../images/home-bg.jpg) no-repeat;
    background-size: cover;
    background-position: center;
 }

 .home-bg .home{
    display: flex;
    align-items: center;
    min-height: 60vh;
 }
 
 .home-bg .home .content{
    width: 50rem;
 }
 
 .home-bg .home .content span{
    color:var(--orange);
    font-weight: bold;
    font-size: 2.5rem;
 }
 
 .home-bg .home .content h3{
    font-size: 3rem;
    text-transform: none;
    margin-top: 1.5rem;
    color:#333;
 }
 
 .home-bg .home .content p{
    font-size: 1.6rem;
    padding:1rem 0;
    line-height: 2;
    color:var(--light-color);
 }
 
 .home-bg .home .content a{
    display: inline-block;
    width: auto;
 }



 
 .home-category .box-container{
    display: grid;
    grid-template-columns: repeat(auto-fit, 27rem);
    gap:1.5rem;
    justify-content: center;
    align-items: flex-start;
 }
 
 .home-category .box-container .box{
    padding:2rem;
    text-align: center;
    border:var(--border);
    background-color: var(--white);
    box-shadow: var(--box-shadow);
    border-radius: .5rem;
 }
 
 .home-category .box-container .box img{
    width: 100%;
    margin-bottom: 1rem;
 }
 
 .home-category .box-container .box h3{
    text-transform: none;
    color:var(--black);
    padding:1rem 0;
    font-size: 2rem;
 }
 
 .home-category .box-container .box p{
    line-height: 2;
    font-size: 1.5rem;
    color:var(--light-color);
    padding:.5rem 0;
 }
 
 .home-category{
    padding-bottom: 0;
 }



 

 .products .box-container{
    display: grid;
    grid-template-columns: repeat(auto-fit, 35rem);
    gap:1.5rem;
    justify-content: center;
    align-items: flex-start;
 }
 
 .products .box-container .box{
    padding:2rem;
    text-align: center;
    border:var(--border);
    background-color: var(--white);
    box-shadow: var(--box-shadow);
    border-radius: .5rem;
    position: relative;
 }
 
 .products .box-container .box .price{
    position: absolute;
    top:1rem; left:1rem;
    padding:1rem;
    border-radius: .5rem;
    background-color: var(--red);
    font-size: 1.8rem;
    color:var(--white);
 }
 
 .products .box-container .box .price span{
    font-size: 2.5rem;
    color:var(--white);
    margin:0 .2rem;
 }
 
 .products .box-container .box .fa-eye{
    position: absolute;
    top:1rem; right:1rem;
    border-radius: .5rem;
    height: 4.5rem;
    line-height: 4.3rem;
    width: 5rem;
    border:var(--border);
    color:var(--black);
    font-size: 2rem;
    background-color: var(--white);
 }
 
 .products .box-container .box .fa-eye:hover{
    color:var(--white);
    background-color: var(--black);
 }
 
 .products .box-container .box img{
    width: 100%;
    margin-bottom: 1rem;
 }
 
 .products .box-container .box .name{
    font-size: 2rem;
    color:var(--black);
    padding:1rem 0;
 }
 
 .products .box-container .box .qty{
    margin:.5rem 0;
    border-radius: .5rem;
    padding:1.2rem 1.4rem;
    font-size: 1.8rem;
    color:var(--black);
    border:var(--border);
    width: 100%;
 }
 
 .p-category{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(27rem, 1fr));
    gap:1.5rem;
    justify-content: center;
    align-items: flex-start;
 }
 
 .p-category{
    padding-bottom: 0;
 }
 
 .p-category a{
    padding:1.5rem;
    text-align: center;
    border:var(--border);
    background-color: var(--white);
    box-shadow: var(--box-shadow);
    border-radius: .5rem;
    font-size: 2rem;
    text-transform: none;
    color:var(--black);
 }
 
 .p-category a:hover{
    background-color: var(--black);
    color: var(--white);
 }
 
/*
.categories .box-container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(26rem, 1fr));
    gap:1.5rem;
}

.categories .box-container .box{
    padding:3rem 2rem;
    border-radius: .5rem;
    background:var(--white);
    box-shadow: var(--box-shadow);
    outline:var(--outline);
    outline-offset: -1rem;
    text-align: center;
}

.categories .box-container .box:hover{
    outline:var(--outline-hover);
    outline-offset: 0rem;
}

.categories .box-container .box img{
    margin:1rem 0;
    height:15rem;
}

.categories .box-container .box h3{
   font-size: 2rem;
   color:var(--black);
   line-height: 1.8;
}

.categories .box-container .box p{
    font-size: 1.7rem;
    color:var(--light-color);
    line-height: 1.8;
    padding:1rem 0;
}
*/


.about .row{
    display: flex;
    flex-wrap: wrap;
    gap:3rem;
    align-items: center;
 }
 
 .about .row .box{
    flex:1 1 40rem;
    text-align: center;
 }
 
 .about .row .box img{
    margin-bottom: 2rem;
    height: 40rem;
 }
 
 .about .row .box h3{
    padding:1rem 0;
    font-size: 2.5rem;
    text-transform: none;
    color:var(--black);
 }
 
 .about .row .box p{
    line-height: 2;
    font-size: 1.5rem;
    color:var(--light-color);
    padding:1rem 0;
 }
 
 .about .row .box .btn{
    display: inline-block;
    width: auto;
 }

 
 .reviews .box-container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
    gap:1.5rem;
    justify-content: center;
    align-items: flex-start;
 }
 
 .reviews .box-container .box{
    padding:2rem;
    text-align: center;
    border:var(--border);
    background-color: var(--white);
    box-shadow: var(--box-shadow);
    border-radius: .5rem;
 }
 
 .reviews .box-container .box img{
    height: 10rem;
    width: 10rem;
    border-radius: 50%;
    margin-bottom: 1rem;
    object-fit: cover;
 }
 
 .reviews .box-container .box p{
    padding:1rem 0;
    font-size: 1.6rem;
    color:var(--light-color);
    line-height: 2;
 }
 
 .reviews .box-container .box .stars{
    display: inline-block;
    padding:1rem;
    background-color: var(--light-bg);
    border:var(--border);
    border-radius: .5rem;
    margin:.5rem 0;
 }
 
 .reviews .box-container .box .stars i{
    font-size: 1.7rem;
    color:var(--orange);
    margin:0 .3rem;
 }
 
 .reviews .box-container .box h3{
    margin-top: 1rem;
    color:var(--black);
    font-size: 2rem;
 }
 
 .contact form{
    margin:0 auto;
    max-width: 50rem;
    padding:2rem;
    text-align: center;
    border:var(--border);
    background-color: var(--white);
    box-shadow: var(--box-shadow);
    border-radius: .5rem;
    padding-top: 1rem;
 }
 
 .contact form .box{
    width: 100%;
    padding:1.2rem 1.4rem;
    border:var(--border);
    margin:1rem 0;
    background-color: var(--light-bg);
    font-size: 1.8rem;
    color:var(--black);
    border-radius: .5rem;
 }
 
 .contact form textarea{
    height: 15rem;
    resize: none;
 }
 


 .footer{
    background-color: var(--white);
 }
 
 .footer .box-container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(27rem, 1fr));
    gap:2.5rem;
    align-items: flex-start;
 }
 
 .footer .box-container .box h3{
    text-transform: none;
    color:var(--black);
    margin-bottom: 2rem;
    font-size: 2rem;
 }
 
 .footer .box-container .box a,
 .footer .box-container .box p{
    display: block;
    padding:1.3rem 0;
    font-size: 1.6rem;
    color:var(--light-color);
 }
 
 .footer .box-container .box a i,
 .footer .box-container .box p i{
    color:var(--green);
    padding-right: 1rem;
 }
 
 .footer .box-container .box a:hover{
    text-decoration: underline;
    color:var(--green);
 }
 
 .footer .credit{
    margin-top: 2rem;
    padding: 2rem 1.5rem;
    padding-bottom: 2.5rem;
    line-height: 1.5;
    border-top: var(--border);
    text-align: center;
    font-size: 2rem;
    color:var(--black);
 }
 
 .footer .credit span{
    color:var(--green);
 }
 












/* media queries  */

@media (max-width:991px){

    html{
       font-size: 55%;
    }
    
 }
 

@media (max-width:768px){

    #menu-btn{
        display: inline-block;
     }
  
     .header .flex .navbar{
        border-top: var(--border);
        border-bottom: var(--border);
        background-color: var(--white);
        position: absolute;
        top:99%; left:0; right:0;
        transition: .2s linear;
        clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
     }
  
     .header .flex .navbar.active{
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
     }
  
     .header .flex .navbar a{
        display: block;
        margin:2rem;   
     }


    .home-bg{
       background-position: center;
    }
 
    .home-bg .home{
       justify-content: center;
       text-align: left;
    }
 
    .checkout-orders form .flex .inputBox{
       width: 100%;
    }
 
 }
 
@media (max-width:450px){
 
    html{
        font-size: 50%;
     }
  
     .flex-btn{
        flex-flow: column;
        gap:0;
     }
  
     .title{
        font-size: 3rem;
     }
    }
     /*
     .home-bg{
        width: max-content;
     }

    .home-category .box-container{
       grid-template-columns: 1fr;
    }
 
    .products .box-container{
       grid-template-columns: 1fr;
    }
 
    .quick-view .box img{
       height: auto;
       width: 100%;
    }
 
    .about .row .box img{
       width: 100%;
       height: auto;
    }   
 
    .shopping-cart .box-container{
       grid-template-columns: 1fr;
    }
 
    .wishlist .box-container{
       grid-template-columns: 1fr;
    }

}
*/

.wishlist .box-container{
   grid-template-columns: 1fr;
}

